Git pull unable to update local ref  

执行git pull的时候,报了个错误 a0f80ea..49177a3 master -> origin/master (unable to update local ref) 解决方案 rm -rf .git/refs/remot

Posted:2018-01-12  By vilay

Centos 7搭建git服务器  

Centos 下构建私有git服务器 以下操作都是root账户 安装 第一步,安装git服务 yum install -y git 第二步,新建git用户 useradd git 第三步,禁止git用户,shell登录 修改/etc/pas

Posted:2017-09-28  By vilay

如何发布自己的Composer包  

Composer 是 PHP 用来管理依赖(dependency)关系的工具。你可以在自己的项目中声明所依赖的外部工具库(libraries),Composer 会帮你安装这些依赖的库文件。 现在应该所有的框架都支持使用Composer进行包管理了。如何发布

Posted:2017-08-26  By vilay

Git:fatal: refusing to merge unrelated histories  

在使用git关联远程仓库的时候,准备提交,执行 git pull的时候报错 fatal: refusing to merge unrelated histories 解决方法: git pull origin master --allow-unrelat

Posted:2017-08-11  By vilay

Git 使用笔记  

基本概念 工作区:工作区就是我们项目的代码所在文件夹,除了.git部分 暂存区:我们提交代码在add 的时候都是添加到暂存区 仓库(repository):仓库分本地仓库跟远程仓库,本地仓库就是.git里面的,远程仓库就是托管与github等第三方平

Posted:2017-07-27  By vilay

Git 使用gitignore忽略部分文件不加入版本控制  

应用开发过程中,产生的缓存文件等不需要加入版本控制的文件,我们可以通过修改.gitignore来实现 比如缓存文件目录runtime,我们在缓存目录下新建个文件.gitignore,写入下面的指令 * #忽略所有文件 !.gitignore #

Posted:2017-06-29  By vilay

Centos 6.5安装git  

Centos下默认的git是1.7.1版本的,我在使用的提示我不能使用。 记录下我怎么解决的 1.安装必要的依赖 yum install curl-devel expat-devel gettext-devel openssl-devel zlib-de

Posted:2016-11-19  By vilay

Git 学习笔记(一)  

Git 是一个分布式的版本控制器,不少人都是念 技特,貌似科学点应该叫歌易特.跟传统的集中式版本控制器(svn,cvs)等,还是存在挺大的差异的,现在N多项目都是采用git管理代码版本. 好记性,不如烂笔头,记录下学习Git的基本使用. 从Git服务器上把

Posted:2016-04-29  By vilay